Create a new Service Reminder

This api allows you to create a new service reminder in the system for tracking and managing vehicle/asset maintenance schedules.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request body to create a new service reminder in the system.

uuid

The unique Azuga ID of the Service Reminder. This is automatically generated when the Service Reminder object is created and cannot be altered.

uuid
required

The unique Azuga ID of the entity(vehicle/asset) to be associated with service reminder.

string

Name of the entity(vehicle/asset) to be associated with the service reminder.

integer
enum
required

Type Id of the entity(vehicle/asset):
1: Vehicle
2: Asset

Allowed:
string
enum

Type of the entity(vehicle/asset)

Allowed:
uuid
required

The unique Azuga ID of the Group associated with the service reminder.

string

Group name associated with the service reminder.

string
required
length between 1 and 100

Name of the alert associated with the service reminder.

boolean
required

Flag to indicate if the reminder is muted (notifications disabled).

alertNotificationDetails
object
required

Alert notification configuration details.

reminderScheduleCriteria
object

The base conditions to trigger the service reminder alert.

reminderCriteria
array of objects
required
length ≥ 1

Array of reminder criteria specifying service type, service date, and threshold conditions.

reminderCriteria*

Individual reminder criteria input configuration. At least one threshold value is required.

uuid
required

The unique Azuga ID of the Service Type.

string
required
length between 1 and 200

Name of the service.

date-time
required

Date and time the last service was performed. Use YYYY-MM-DD HH:mm:ss format.

integer

Number of days threshold for the reminder.

float

Mileage threshold in KM for the reminder.

float

Engine hours threshold for the reminder.

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json